Skip to navigation

Record decision outcome

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired1-200 characters

Headers

Myaza-VersionstringOptional
X-Request-IdstringOptional<=128 characters
Idempotency-KeystringRequiredformat: "^[A-Za-z0-9._:~-]+$"8-200 characters

Request

This endpoint expects an object.
classificationenumRequired
Allowed values:
occurredAtdatetimeRequired
externalUserIdstringOptional1-200 characters
Optional ownership guard. The outcome is rejected when this does not own the referenced transaction.
sourceenumOptionalDefaults to customer
confidenceintegerOptional0-100Defaults to 100
reasonCodestringOptionalformat: "^[A-Za-z0-9._:-]+$"1-120 characters
lossAmountstringOptionalformat: "^\d+(\.\d{1,8})?$"
recoveredAmountstringOptionalformat: "^\d+(\.\d{1,8})?$"
currencystringOptionalformat: "^[A-Za-z0-9]+$"2-12 characters
metadatamap from strings to anyOptional

Response

Success
outcomemap from strings to any

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
413
Content Too Large Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error